Page MenuHomePhabricator

[LLVM][OpenMP] Added OMP Scheduler Constants (Required for D89671)
AbandonedPublic

Authored by AMDChirag on Jan 9 2021, 10:49 PM.

Details

Summary

Contains the required OMP Scheduler Type Constants.
Required by D89671, but created as a separate differential.

Diff Detail

Event Timeline

AMDChirag created this revision.Jan 9 2021, 10:49 PM
AMDChirag requested review of this revision.Jan 9 2021, 10:49 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 9 2021, 10:49 PM
jdoerfert accepted this revision.Jan 10 2021, 1:33 PM

LGTM, one comment that should be addressed.

llvm/include/llvm/Frontend/OpenMP/OMPKinds.def
975

I think you might be able to write
__OMP_SCHED_TYPE(SCH_DEFAULT, OMP_SCHED_TYPE_SCH_static)
to avoid the comment.

Also, can we add the missing characters and call it ORDER, and SCHEDULE, or at least SCHED instead of SCH.

This revision is now accepted and ready to land.Jan 10 2021, 1:33 PM
AMDChirag updated this revision to Diff 315700.Jan 10 2021, 9:29 PM

Addressing comment

AMDChirag marked an inline comment as done.Jan 10 2021, 9:29 PM

Please don't merge this differential.
With new changes being done in D89671, this will probably no longer be required.

AMDChirag abandoned this revision.Jan 18 2021, 2:36 AM